{% block onglets %}    
    {% if poListeIntervenants is defined %}
        {% if psOngletActif is not defined %}
            {% set psOngletActif = 'OngletGénéral' %}
        {% endif %}
        <ul class="nav nav-tabs mt-3" style="margin-left: 10px;">
            <li class="nav-item bg-onglet rounded-top">
                <a class="boutonOnglet nav-link color-txt-onglet {{ (psOngletActif == "OngletGénéral")?'active show':'' }}" id="OngletGénéral" href="#formulaire_OngletGénéral" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Général
                </a>
            </li>
            <li class="nav-item bg-onglet rounded-top">
                <a class="boutonOnglet nav-link color-txt-onglet {{ (psOngletActif == "OngletIntervenants")?'active show':'' }}" id="OngletIntervenants" href="#formulaire_OngletIntervenants" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Intervenants
                </a>
            </li>
            <li class="nav-item bg-onglet rounded-top">
                <a class="boutonOnglet nav-link color-txt-onglet {{ (psOngletActif == "OngletUsagers")?'active show':'' }}" id="OngletUsagers" href="#formulaire_OngletUsagers" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Usagers
                </a>
            </li>
            <li class="nav-item bg-onglet rounded-top">
                <a class="boutonOnglet nav-link color-txt-onglet {{ (psOngletActif == "OngletGroupes")?'active show':'' }}" id="OngletGroupes" href="#formulaire_OngletGroupes" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Groupes
                </a>
            </li>
            <li class="nav-item bg-onglet rounded-top">
                <a class="boutonOnglet nav-link color-txt-onglet {{ (psOngletActif == "OngletSalles")?'active show':'' }}" id="OngletSalles" href="#formulaire_OngletSalles" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Equipements
                </a>
            </li>
        </ul>

        {#2. contenus des onglets#}
        <div class="tab-content border border-light" style="height: 100%;">
            <div id="formulaire_OngletGénéral" class="tab-pane fade bg-white shadow-sm rounded {{ (psOngletActif == "OngletGénéral")?'in active show':'' }}"  style="height: 100%">
                {% include '@Paa/form/actiBases/actiBases.NonAbsence.OngletGénéral.html.twig' %}
            </div>
            <div id="formulaire_OngletIntervenants" class="tab-pane fade bg-white shadow-sm rounded {{ (psOngletActif == "OngletIntervenants")?'in active show':'' }}"  style="height: 100%">
                {% include '@Paa/form/actiBases/actiBasesCompétences_Onglet.html.twig' with {'psType_Res': 'I', 'psNomType_Res': 'Intervenants', 'poListeRes': poListeIntervenants} %}
            </div>
            <div id="formulaire_OngletUsagers" class="tab-pane fade bg-white shadow-sm rounded {{ (psOngletActif == "OngletUsagers")?'in active show':'' }}" style="height: 100%">
                {% include '@Paa/form/actiBases/actiBasesCompétences_Onglet.html.twig' with {'psType_Res': 'U', 'psNomType_Res': 'Usagers', 'poListeRes': poListeUsagers} %}
            </div>
            <div id="formulaire_OngletGroupes" class="tab-pane fade bg-white shadow-sm rounded {{ (psOngletActif == "OngletGroupes")?'in active show':'' }}" style="height: 100%">
                {% include '@Paa/form/actiBases/actiBasesCompétences_Onglet.html.twig' with {'psType_Res': 'G', 'psNomType_Res': 'Groupes', 'poListeRes': poListeGroupes} %}
            </div>
            <div id="formulaire_OngletSalles" class="tab-pane fade bg-white shadow-sm rounded {{ (psOngletActif == "OngletSalles")?'in active show':'' }}" style="height: 100%">
                {% include '@Paa/form/actiBases/actiBasesCompétences_Onglet.html.twig' with {'psType_Res': 'S', 'psNomType_Res': 'Salles', 'poListeRes': poListeSalles} %}
            </div>
        </div>
    {% endif %}
{% endblock %}

{% include '@Paa/form/actiBases/actiBasesCompétences_Onglet_Scripts.html.twig' %}
<script>
    $(document).ready(onActiBasesCompétences_DocumentReady);
	function onActiBasesCompétences_DocumentReady() {
        actiBasesCompétences_MoveTxtFilter('Salles');
		actiBasesCompétences_MoveTxtFilter('Groupes');
		actiBasesCompétences_MoveTxtFilter('Usagers');
		actiBasesCompétences_MoveTxtFilter('Intervenants');
	}
</script>
